<div class="modal">
    <button type="button" class="close" (click)="closeModal()">
        <span aria-hidden="true">&times;</span>
    </button>
    <div class="all-in-one-table">
        <elastic-page-header [height]="'100px'" background="url(assets/img/demo/headers/pattern-3.png)"
            [reverse]="true">
        </elastic-page-header>
    </div>
    <h1>Agregar</h1>
</div>
<div class="container">
    <mat-card>
        <form (ngSubmit)="onSubmit()" [formGroup]="formGroup" class="form-modal" fxLayout="column" fxFlex="100%">
            <div>
                <mat-form-field fxFlex appearance="fill" style="width: 48%; margin-right: 4%;">
                    <mat-label>Nombre</mat-label>
                    <input matInput placeholder="Ingrese un nombre" formControlName="name" type="text">
                    <mat-hint *ngIf="formGroup.controls.name.touched || btnOnSubmit">
                        <div *ngIf="formGroup.controls.name.errors" style="margin-top: -15px;">
                            <p *ngIf="formGroup.controls.name.errors.required" style="color: red">El campo es requerido</p>
                        </div>
                    </mat-hint>
                </mat-form-field>
                <mat-form-field fxFlex appearance="fill" style="width: 48%">
                    <mat-label>Apellido</mat-label>
                    <input matInput placeholder="Ingrese escriba su apellido" formControlName="firstLastname"
                        type="text">
                        <mat-hint *ngIf="formGroup.controls.firstLastname.touched || btnOnSubmit">
                            <div *ngIf="formGroup.controls.firstLastname.errors" style="margin-top: -15px;">
                                <p *ngIf="formGroup.controls.firstLastname.errors.required" style="color: red">El campo es requerido</p>
                            </div>
                        </mat-hint>
                </mat-form-field>
            </div>
            <mat-form-field fxFlex appearance="fill">
                <mat-label>Correo</mat-label>
                <input matInput placeholder="Ingrese un email" formControlName="email" type="text">
                <mat-hint *ngIf="formGroup.controls.email.touched || btnOnSubmit">
                    <div *ngIf="formGroup.controls.email.errors" style="margin-top: -15px;">
                        <p *ngIf="formGroup.controls.email.errors.required" style="color: red">El campo es requerido</p>
                    </div>
                </mat-hint>
            </mat-form-field>
            <div>
                <mat-form-field fxFlex appearance="fill" style="width: 48%; margin-right: 4%;">
                    <mat-label>Contraseña</mat-label>
                    <input matInput placeholder="Ingrese su contraseña" formControlName="password" type="password"
                        (input)="onPasswordInput()">
                        <mat-hint *ngIf="formGroup.controls.password.touched || btnOnSubmit">
                            <div *ngIf="formGroup.controls.password.errors" style="margin-top: -15px;">
                                <p *ngIf="formGroup.controls.password.errors.required" style="color: red">El campo es requerido</p>
                            </div>
                            <div *ngIf="formGroup.controls.password.errors" style="margin-top: -15px;">
                                <p *ngIf="formGroup.controls.password.errors.minlength" style="color: red">La contraseña debe tener más de 6 caracteres</p>
                            </div>
                        </mat-hint>
                </mat-form-field>
                <mat-form-field fxFlex appearance="fill" style="width: 48%">
                    <mat-label>Repita la contraseña</mat-label>
                    <input matInput placeholder="Repita contraseña" formControlName="repeatPassword" type="password"
                        (input)="onPasswordInput()">
                        <mat-hint *ngIf="formGroup.controls.repeatPassword.touched || btnOnSubmit">
                            <div *ngIf="formGroup.controls.repeatPassword.errors" style="margin-top: -15px;">
                                <p *ngIf="formGroup.controls.repeatPassword.errors[0].passwordMismatch" style="color: red">Las contraseñas no coinciden</p>
                            </div>
                        </mat-hint>
                </mat-form-field>
            </div>

            <mat-form-field class="example-full-width" appearance="fill">
                <mat-label>Fecha de nacimiento</mat-label>
                <input formControlName="birthdate" type="date" matInput>
                <mat-hint *ngIf="formGroup.controls.birthdate.touched || btnOnSubmit">
                    <div *ngIf="formGroup.controls.birthdate.errors" style="margin-top: -15px;">
                        <p *ngIf="formGroup.controls.birthdate.errors.required" style="color: red">El campo es requerido</p>
                    </div>
                </mat-hint>
            </mat-form-field>
            <div>
                <mat-form-field fxFlex appearance="fill" style="width: 48%; margin-right: 4%;">
                    <mat-label>Cédula</mat-label>
                    <input matInput placeholder="Ingrese su número de de identidad" formControlName="idNumber"
                        type="text">
                        <mat-hint *ngIf="formGroup.controls.idNumber.touched || btnOnSubmit">
                            <div *ngIf="formGroup.controls.idNumber.errors" style="margin-top: -15px;">
                                <p *ngIf="formGroup.controls.idNumber.errors.required" style="color: red">El campo es requerido</p>
                            </div>
                        </mat-hint>
                </mat-form-field>
                <mat-form-field appearance="fill" style="width: 48%">
                    <mat-label>Organización</mat-label>
                    <mat-select formControlName="organizationId">
                        <mat-option *ngFor="let organization of tableOrganizations" [value]="organization.id">
                            {{organization.name}}
                        </mat-option>
                    </mat-select>
                    <mat-hint *ngIf="formGroup.controls.organizationId.touched || btnOnSubmit">
                        <div *ngIf="formGroup.controls.organizationId.errors" style="margin-top: -15px;">
                            <p *ngIf="formGroup.controls.organizationId.errors.required" style="color: red">El campo es requerido</p>
                        </div>
                    </mat-hint>
                </mat-form-field>
            </div>
            <div>
                <mat-form-field appearance="fill" style="width: 48%; margin-right: 4%;">
                    <mat-label>Rol de usuario</mat-label>
                    <mat-select formControlName="roles">
                        <mat-option *ngFor="let rol of rols" [value]="rol.id"> {{rol.name}}
                        </mat-option>
                    </mat-select>
                    <mat-hint *ngIf="formGroup.controls.roles.touched || btnOnSubmit">
                        <div *ngIf="formGroup.controls.roles.errors" style="margin-top: -15px;">
                            <p *ngIf="formGroup.controls.roles.errors.required" style="color: red">El campo es requerido</p>
                        </div>
                    </mat-hint>
                </mat-form-field>
                <mat-form-field appearance="fill" style="width: 48%;">
                    <mat-label>Estado de usuario</mat-label>
                    <mat-select formControlName="accountState">
                        <mat-option value="active">Activo</mat-option>
                        <mat-option value="inactive">Inactivo</mat-option>
                    </mat-select>
                    <mat-hint *ngIf="formGroup.controls.accountState.touched || btnOnSubmit">
                        <div *ngIf="formGroup.controls.accountState.errors" style="margin-top: -15px;">
                            <p *ngIf="formGroup.controls.accountState.errors.required" style="color: red">El campo es requerido</p>
                        </div>
                    </mat-hint>
                </mat-form-field>
            </div>

            <div class="example-button-row">
                <button mat-raised-button color="primary" (click)="closeModal()">Cancel</button>
                <button class="marginButton" mat-raised-button color="primary" type="submit">Agregar</button>
            </div>
        </form>
    </mat-card>
</div>